> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision



## OpenAPI

````yaml post /v1/lite/provision
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/lite/provision:
    post:
      tags:
        - Provisioning Lite
      summary: Provision
      operationId: provision_v1_lite_provision_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantProvisionPayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TenantProvisionPayload:
      properties:
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          default: {}
        parameters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Parameters
          default: {}
        serviceInstanceDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Serviceinstancedescription
          default: ''
        serviceInstanceDisplayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Serviceinstancedisplayname
        serviceInstanceNamespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Serviceinstancenamespace
        zenServiceInstanceInfo:
          anyOf:
            - $ref: '#/components/schemas/ZenServiceInstanceInfo'
            - type: 'null'
      type: object
      required:
        - serviceInstanceDisplayName
        - serviceInstanceNamespace
        - zenServiceInstanceInfo
      title: TenantProvisionPayload
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ZenServiceInstanceInfo:
      properties:
        zenCloudPakInstanceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Zencloudpakinstanceid
        zenControlPlaneNamespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Zencontrolplanenamespace
        zenImageRegistryPrefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Zenimageregistryprefix
        zenServiceInstanceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Zenserviceinstanceid
        zenServiceInstanceSecret:
          anyOf:
            - type: string
            - type: 'null'
          title: Zenserviceinstancesecret
        zenServiceInstanceType:
          anyOf:
            - type: string
            - type: 'null'
          title: Zenserviceinstancetype
        zenServiceInstanceUID:
          anyOf:
            - type: string
            - type: 'null'
          title: Zenserviceinstanceuid
        zenServiceInstanceUserName:
          anyOf:
            - type: string
            - type: 'null'
          title: Zenserviceinstanceusername
        zenServiceInstanceVersion:
          anyOf:
            - type: string
            - type: 'null'
          title: Zenserviceinstanceversion
      type: object
      required:
        - zenCloudPakInstanceId
        - zenControlPlaneNamespace
        - zenImageRegistryPrefix
        - zenServiceInstanceId
        - zenServiceInstanceSecret
        - zenServiceInstanceType
        - zenServiceInstanceUID
        - zenServiceInstanceUserName
        - zenServiceInstanceVersion
      title: ZenServiceInstanceInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````